# ContextActionResult

## Overview

ContextActionResult is an Enum that is used when multiple event handlers are bound to a single action in ContextActionService.

This is used to determine whether to pass an event to remaining handlers after one hander processes it.

## Items

| Name | Value | Description                                                                                                                                                                                                                   |
| ---- | ----- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Sink | 0     | Consumes the input at the current handler and does not pass it to subsequent handlers. The same behavior as Sink also applies when a handler does not specify a return value.                                                 |
| Pass | 1     | After the current handler processes the input, the input continues to be passed to the next handler bound to the same action. Use this to implement chaining when multiple handlers are stacked and bound to the same action. |

## See also

{% content-ref url="/pages/K9CcpMlYBTtDPrBfax0U" %}
[ContextActionService](/development/api-reference/classes/contextactionservice.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/development/api-reference/enums/contextactionresult.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
